Vinanz Limited

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/vinanz-limited/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/vinanz-limited/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1750723200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.londonstockexchange.com/news-article/BTC/bitcoin-purchase/17100034",
    "holding_balance": 96.4,
    "holding_net_change": 55.98,
    "transaction_value_usd": 5939141.5602,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1750982400000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://www.londonstockexchange.com/news-article/BTC/bitcoin-purchase/17106864",
    "holding_balance": 65.03,
    "holding_net_change": -31.37,
    "transaction_value_usd": 5901758.0,
    "average_entry_value_usd": -188133.82,
    "transaction_value_calculated": false
  },
  {
    "date": 1753056000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.londonstockexchange.com/news-article/BTC/bitcoin-purchase/17143972",
    "holding_balance": 85.97,
    "holding_net_change": 20.94,
    "transaction_value_usd": 2480000.0,
    "average_entry_value_usd": 118433.62,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/vinanz-limited/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790812800000,
    85.97
  ],
  [
    1790899200000,
    85.97
  ],
  [
    1790985600000,
    85.97
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/vinanz-limited/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790812800000,
    7182549.3452
  ],
  [
    1790899200000,
    7288779.8951
  ],
  [
    1790985600000,
    7264172.7020000005
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/vinanz-limited/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 1.1,
    "date": "2026-09-30",
    "high": 1.19,
    "open": 1.19,
    "close": 1.13,
    "volume": 918700
  },
  {
    "low": 1.08,
    "date": "2026-10-01",
    "high": 1.14,
    "open": 1.11,
    "close": 1.08,
    "volume": 976900
  },
  {
    "low": 1.105,
    "date": "2026-10-02",
    "high": 1.18,
    "open": 1.16,
    "close": 1.15,
    "volume": 2086971
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/vinanz-limited/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": -0.507
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/vinanz-limited/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -34.66,
  "six_month_return": -4.17,
  "three_month_return": 1.77
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/vinanz-limited/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 37.2,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "up"
}